Bug 1469284 - (CVE-2017-9742) CVE-2017-9742 binutils: Global buffer over-read in print_insn_score16 function while disassembling corrupt score binary
CVE-2017-9742 binutils: Global buffer over-read in print_insn_score16 functio...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170619,reported=2...
: Security
Depends On: 1469285 1469286 1469287
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 16:37 EDT by Pedro Sampaio
Modified: 2017-07-12 09:12 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 08:18:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-10 16:37:53 EDT
The print_insn_score16 function in opcodes/score7-dis.c in GNU Binutils 2.28 allows attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted binary file, as demonstrated by mishandling of this file during "objdump -D" execution.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21576

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=e64519d1ed7fd8f990f05a5562d5b5c0c44b7d7e
Comment 1 Pedro Sampaio 2017-07-10 16:38:17 EDT
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1469285]
Comment 2 Pedro Sampaio 2017-07-10 16:39:33 EDT
Created mingw-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1469286]
Comment 3 Pedro Sampaio 2017-07-10 16:40:52 EDT
Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1469287]

Note You need to log in before you can comment on or make changes to this bug.